---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "coderd_organization Data Source - terraform-provider-coderd"
subcategory: ""
description: |-
  An existing organization on the Coder deployment.
  ~> Warning
  This data source is only compatible with Coder version 2.13.0 https://github.com/coder/coder/releases/tag/v2.13.0 and later.
---

# coderd_organization (Data Source)

An existing organization on the Coder deployment.

~> **Warning**
This data source is only compatible with Coder version [2.13.0](https://github.com/coder/coder/releases/tag/v2.13.0) and later.

## Example Usage

```terraform
// Get the default (first) organization for the coder deployment
data "coderd_organization" "default" {
  is_default = true
}

// Get another organization by `id`
data "coderd_organization" "example" {
  id = "abcd-efg-hijk"
}

// Or get by name
data "coderd_organization" "example2" {
  name = "example-organization-2"
}

// Create a group on a specific organization
resource "coderd_group" "example" {
  name            = "example-group"
  organization_id = data.coderd_organization.example.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- `id` (String) The ID of the organization to retrieve. This field will be populated if the organization is found by name, or if the default organization is requested.
- `is_default` (Boolean) Whether the organization is the default organization of the deployment. This field will be populated if the organization is found by ID or name.
- `name` (String) The name of the organization to retrieve. This field will be populated if the organization is found by ID, or if the default organization is requested.

### Read-Only

- `created_at` (Number) Unix timestamp when the organization was created.
- `members` (Set of String) Members of the organization, by ID
- `updated_at` (Number) Unix timestamp when the organization was last updated.
